View Issue Details

IDProjectCategoryView StatusLast Update
0000286Far Manager 1.7xEditorpublic2007-07-16 16:06
ReporterDrKnSAssigned Tovskirdin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS Version2003 SP2
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000286: Порча бинарных файлов при сохранении встроенным редактором.
DescriptionПри сохранении бинарных файлов фар меняет последовательность байт 0D 00 на 0D.
Как результат, файл испорчен...

Хорошо заметно на юникодных текстовых файлах, генерируемых regedit, и на исполняемых.

З.Ы. Я, конечно, понимаю, что встроенный редактор для бинарников не предназначен, но до 2228 билда это было недеструктивной операцией...
TagsNo tags attached.
Build

Activities

HaRT

2007-06-05 06:56

reporter   bugnote:0000481

Last edited: 2007-06-05 06:59

Мне кажется, что ноги растут отсюда ( http://forum.farmanager.com/viewtopic.php?p=23589#23589 ):
    Skirda писал(а):
    Far Manager 1.71 alpha 4 build 2228
    [...]
    2. + В редакторе добавлена обработка концов строк "\r\r\n".

vskirdin

2007-06-26 13:13

administrator   bugnote:0000491

после 2236

Issue History

Date Modified Username Field Change
2007-05-14 05:10 DrKnS New Issue
2007-06-05 06:56 HaRT Note Added: 0000481
2007-06-05 06:59 HaRT Note Edited: 0000481
2007-06-26 13:13 vskirdin Status new => resolved
2007-06-26 13:13 vskirdin Fixed in Version => 1.71
2007-06-26 13:13 vskirdin Resolution open => fixed
2007-06-26 13:13 vskirdin Assigned To => vskirdin
2007-06-26 13:13 vskirdin Note Added: 0000491
2007-07-16 16:06 alexy Status resolved => closed